Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 2182263002: Disable accelerated VPx decode on Windows <10 RS1. (Closed)

Created:
3 years, 4 months ago by jbauman
Modified:
2 years, 4 months ago
CC:
chromium-reviews, piman+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Disable accelerated VPx decode on Windows <10 RS1. The OS doesn't support it, and blacklisting it should make startup of decoding a bit faster because Chrome won't need to attempt hardware decoding BUG=616318 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Committed: https://crrev.com/3f69feb175e410062c37e9b32b686fe9273722fa Cr-Commit-Position: refs/heads/master@{#408058}

Patch Set 1 #

Patch Set 2 : rs1 detection #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -1 line) Patch
M gpu/config/software_rendering_list_json.cc View 1 2 chunks +16 lines, -1 line 0 comments Download

Messages

Total messages: 20 (14 generated)
jbauman
3 years, 4 months ago (2016-07-26 23:57:44 UTC) #10
Zhenyao Mo
On 2016/07/26 23:57:44, jbauman wrote: lgtm
3 years, 4 months ago (2016-07-27 01:10:49 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2182263002/20001
3 years, 4 months ago (2016-07-27 06:30:58 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 4 months ago (2016-07-27 06:34:37 UTC) #17
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/3f69feb175e410062c37e9b32b686fe9273722fa Cr-Commit-Position: refs/heads/master@{#408058}
3 years, 4 months ago (2016-07-27 06:36:26 UTC) #19
gonzalezgong
2 years, 4 months ago (2017-07-17 08:39:23 UTC) #20
Message was sent while issue was closed.

On Wednesday, July 27, 2016 at 9:27:49 AM UTC+9:30, jba...@chromium.org 
wrote:
>
> Reviewers: Zhenyao Mo
> CL: https://codereview.chromium.org/2182263002/
>
> Description:
> Disable accelerated VPx decode on Windows <10 RS1.
>
> The OS doesn't support it, and blacklisting it should make startup of
> decoding a bit faster because Chrome won't need to attempt hardware
> decoding
>
> BUG=616318
>
>
CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel
>
> Base URL: https://chromium.googlesource.com/chromium/src.git@master
>
> Affected files (+16, -1 lines):
> M gpu/config/software_rendering_list_json.cc
>
>
> Index: gpu/config/software_rendering_list_json.cc
> diff --git a/gpu/config/software_rendering_list_json.cc 
> b/gpu/config/software_rendering_list_json.cc
> index 
>
346852d01591bf22c3546927e6d73c1511cde65d..440fd81da069b615dced178e30c6502016408d59

> 100644
> --- a/gpu/config/software_rendering_list_json.cc
> +++ b/gpu/config/software_rendering_list_json.cc
> @@ -18,7 +18,7 @@ const char kSoftwareRenderingListJson[] = 
> LONG_STRING_CONST(
> {
> "name": "software rendering list",
> // Please update the version number whenever you change this file.
> - "version": "11.7",
> + "version": "11.9",
> "entries": [
> {
> "id": 1,
> @@ -1233,6 +1233,21 @@ LONG_STRING_CONST(
> "features": [
> "gpu_rasterization"
> ]
> + },
> + {
> + "id": 120,
> + "description": "VPx decoding isn't supported before Windows 10 
> anniversary update.",
> + "cr_bugs": [616318],
> + "os": {
> + "type": "win",
> + "version": {
> + "op": "<",
> + "value": "10.0.14393"
> + }
> + },
> + "features": [
> + "accelerated_vpx_decode"
> + ]
> }
> ]
> }
>
>
> I have the same issue too. BUT, why windows7 can not support vp9?
>
  

-- 
You received this message because you are subscribed to the Google Groups
"Chromium-reviews" group.
To unsubscribe from this group and stop receiving emails from it, send an email
to chromium-reviews+unsubscribe@chromium.org.

Powered by Google App Engine
This is Rietveld 408576698